#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%define	srcname	xerces
%include	/usr/lib/rpm/macros.java
Summary:	XML parser for Java
Summary(pl.UTF-8):	Analizator składniowy XML-a napisany w Javie
Name:		java-xerces
Version:	2.11.0
Release:	2
# appears that portions of the code are on other licenses.
# can it all be called "Apache 2.0"?
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/xerces/j/Xerces-J-src.%{version}.tar.gz
# Source0-md5:	d01fc11eacbe43b45681cb85ac112ebf
# Get Xerces-J-tools to avoid BuildRequires: xerces-j
Source1:	http://www.apache.org/dist/xerces/j/Xerces-J-tools.%{version}.tar.gz
# Source1-md5:	50700b3a6558202b056530babf80f1db
URL:		http://xerces.apache.org/xerces-j/
BuildRequires:	ant >= 1.6.5
BuildRequires:	java-xml-commons
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-xml-commons
Provides:	java(jaxp_parser_impl)
Provides:	xerces-j
Obsoletes:	xerces-j
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML parser for Java.

%description -l pl.UTF-8
Analizator składniowy XML-a napisany w Javie.

%package javadoc
Summary:	Documentation for Xerces - XML parser for Java
Summary(pl.UTF-8):	Dokumentacja do Xercesa - analizatora składniowego XML-a w Javie
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	xerces-j-doc
Obsoletes:	xerces-j-javadoc

%description javadoc
Documentation for Xerces - XML parser for Java.

%description javadoc -l pl.UTF-8
Dokumentacja do Xercesa - analizatora składniowego XML-a w Javie.

%description javadoc -l fr.UTF-8
Javadoc pour Xerces.

%prep
%setup -q -n xerces-%(echo %{version} | tr . _) -a1

%build
required_jars='xml-commons-apis'
CLASSPATH=$(build-classpath $required_jars):./tools/xercesImpl.jar:./tools/bin/xjavac.jar
export CLASSPATH

%ant jars %{?with_javadoc:javadocs}

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a build/xercesImpl.jar $RPM_BUILD_ROOT%{_javadir}/xerces-j2-%{version}.jar
ln -sf xerces-j2-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xerces-j2.jar
ln -sf xerces-j2-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jaxp_parser_impl.jar
ln -sf xerces-j2-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xercesImpl.jar

%if %{with javadoc}
# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a build/docs/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc LICENSE* NOTICE* README Readme.html
%{_javadir}/jaxp_parser_impl.jar
%{_javadir}/xerces-j2-%{version}.jar
%{_javadir}/xerces-j2.jar
%{_javadir}/xercesImpl.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-xerces.git;a=log;h=master

* Tue May 08 2012 Elan Ruusamäe <glen@pld-linux.org> e081cfe
- builds with ant 1.6.5-5 as well (java-sun)

* Wed Jun 29 2011 lisu <lisu@pld-linux.org> f20db07
- rel 2

* Thu Feb 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 2a576b9
- updated to 2.11.0

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 831d555
- Up to 2.10.0
- Removed patch applied upstream

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> fe3d0e6
- don't force specific jdk
- updated java deps

* Sat Apr 17 2010 Jacek Konieczny <jajcus@pld-linux.org> 16d069e
- do not require gcj

* Fri Feb 12 2010 pawelz <pawelz@pld-linux.org> 83f94d0
- up to 2.9.1
- new urls (it is no longer part of apache-xml project)

* Mon Apr 13 2009 pawelz <pawelz@pld-linux.org> dd03d8c
- allow build with java_sun
- javadoc bcond

* Sat Feb 28 2009 pawelz <pawelz@pld-linux.org> 2c6eeda
- rel 5 (rebuild with working gjdoc)

* Wed Feb 04 2009 pawelz <pawelz@pld-linux.org> 779ff3f
- BR: ant >= 1.7.1-4 (source/target attrs used with gcj)
- rel 4

* Sat Jan 31 2009 pawelz <pawelz@pld-linux.org> 3a853e0
- BR: java-gcj-compat-devel (not java-gcj-compat)

* Fri Jan 30 2009 pawelz <pawelz@pld-linux.org> c7c8613
- BR java-gcj-compat, not just gcj (javadoc is needed)
- unified

* Fri Jan 30 2009 pawelz <pawelz@pld-linux.org> 633c39b
- s/xml-commons/java-xml-commons/

* Fri Jan 30 2009 pawelz <pawelz@pld-linux.org> 953a073
- fixed Patch0 line
- O: <old name> for subpackage

* Fri Jan 30 2009 pawelz <pawelz@pld-linux.org> 3bb87d0
- renamed from xerces-j.spec

* Tue Jan 27 2009 pawelz <pawelz@pld-linux.org> 3e4595f
- BR jdk >= 1.3
- do not R: jre >= 1.1. It should be java(ClassDataVersion) >= 47.0, but
  allow autodeps to autogenerate it

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 5cacdff
- source/target 1.3

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 88b4b71
- unify java package, doc->javadoc rename
- build with jdk 1.3 target/source

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 4dda331
- one more link

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 3642714
- add -javaprov
- provide xerces-j2.jar for jpackage compat

